%define packname  rlecuyer 

Name:             R-%{packname}
Version:          0.2
Release:          1%{?dist}
Summary:          R interface to RNG with multiple streams
Summary(fr):      Interface R pour RNG avec divers options

Group:            Applications/Engineering 
License:          GPLv2+
URL:              http://cran.r-project.org/web/packages/rlecuyer/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):   R
Requires(postun): R
BuildRequires:    R-devel tetex-latex 

%description
Provides an interface to the C implementation of the random number 
generator with multiple independent streams developed by L'Ecuyer 
et al (2002). The main purpose of this package is to enable the 
use of this random number generator in parallel R applications.  

%description -l fr
Fournit une interface pour le programme de generation de nombres aleatoire
en C developpe par l'Ecuyer et al. (2002) avec divers options independantes
L'objectif principale de ce programme etant d'autoriser l'utilisation de ce
generateur de nombres aleatoire en parallele avec un programme R.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}


#i368 arch
mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
#i386 arch
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/latex
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/man
%{_libdir}/R/library/%{packname}/CONTENTS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/R-ex
%{_libdir}/R/library/%{packname}/help

%changelog
* Wed Feb 18 2009 pingou <pingou@pingoured.fr> 0.2-1
- Update to version 0.2

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.1-6
- Autorebuild for GCC 4.3

* Mon Feb 18 2008 Pingou <pingoufc4@yahoo.fr> 0.1-5
- Change the URL 

* Sat Feb 09 2008 Pingou <pingoufc4@yahoo.fr> 0.1-4
- Change the URL

* Mon Nov 26 2007 Pingou <pingoufc4@yahoo.fr> 0.1-3
- Change on the Require

* Wed Aug 29 2007 Pingou <pingoufc4@yahoo.fr> 0.1-2
- Change the license tag to fit the packaging guide lines

* Wed Jul 18 2007 Pingou <pingoufc4@yahoo.fr> 0.1-1
- initial package for Fedora
